## php.java.bridge
Class Standalone

    java.lang.Object
      php.java.bridge.Standalone

    public class Standalone

extends java.lang.Object

This is the standalone container of the PHP/Java Bridge. It starts the standalone back-end, listenes for protocol requests and handles CreateInstance, GetSetProp and Invoke requests. Supported protocol modes are INET (listens on all interfaces), INET_LOCAL (loopback only), LOCAL (uses a local, invisible communication channel, requires natcJavaBridge.so) , SERVLET and SERVLET_LOCAL (starts the built-in servlet engine listening on all interfaces or loopback).

Example:
`java -Djava.awt.headless=true -jar JavaBridge.jar INET_LOCAL:9676 5 bridge.log &
telnet localhost 9676
<CreateInstance value="java.lang.Long" predicate="Instance" id="0">
<Long value="6"/>
</CreateInstance>
<Invoke value="1" method="toString" predicate="Invoke" id="0"/>
`

Constructor Summary
`Standalone()`

Method Summary
`static void` `init(java.lang.String[] s)` Global init.
`static void` `main(java.lang.String[] s)` Start the PHP/Java Bridge.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Standalone

    public Standalone()

Method Detail

### init

    public static void init(java.lang.String[] s)

  Global init. Redirects System.out and System.err to the server log file(s) or to System.err and creates and opens the communcation channel. Note: Do not write anything to System.out, this stream is connected with a pipe which waits for the channel name.

  Parameters:
    `s` - an array of [socketname, level, logFile]

### main

    public static void main(java.lang.String[] s)

  Start the PHP/Java Bridge.
  Example:
  `java -Djava.awt.headless=true -jar JavaBridge.jar INET:9656 5 /var/log/php-java-bridge.log`
  Note: Do not write anything to System.out, this stream is connected with a pipe which waits for the channel name.

  Parameters:
    `s` - an array of [socketname, level, logFile]